-- UpdateIcsProcessID

DECLARE @@PROCESS_ID BIGINT;
DECLARE @@ICS_PID INT;
DECLARE @@Q VARCHAR(MAX); 

DECLARE @@T TABLE(ICS_PID INT);

SET @@PROCESS_ID = @0;
SET @@Q = 'SELECT * FROM OPENQUERY(IPPCS_TO_ICS, ' + 
		'''SELECT PROCESS_ID ' + 
		' FROM TB_T_INVOICE_UPLOAD ' +
		' WHERE OTHER_PROCESS_ID = ' + 
		CONVERT(VARCHAR, @@PROCESS_ID) + 
		' AND ROWNUM=1'');';

INSERT @@T 
EXEC(@@Q);

SELECT TOP 1 @@ICS_PID = ICS_PID
FROM @@T;

UPDATE TB_T_INV_UPLOAD_FILE
SET ICS_PROCESS_ID = @@ICS_PID
WHERE PROCESS_ID = @@PROCESS_ID; 